Subject: bug#48180: ruby-mode.el: fix font lock for puts and printf

From: Juri Linkov <[email-masked]>
Date: Mon, 03 May 2021 19:42:44 +0300

>> Both these methods can be called without arguments, so the font
>> locking of "bare" calls to either is incorrect.  The fix is to
>> font-lock them as for other kernel methods which accepts zero or more
>> arguments.
>
> Is that important? Like, is anybody likely to call either without args?
> font-lock is not a precise facility (that anything depends on), so we can
> afford to be wrong in 0.01% cases.

It always bothered me that in ruby-mode highlighting was broken for printing
without arguments, but I had no time to investigate.  Now finally this is fixed.
Maybe some other printing like "p" could be fixed as well, but the
already fixed "puts" and "print" is an improvement.